lucene update issues

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

lucene update issues

Tom Horsley-5
Doing a dnf update this morning and got a bazillion
lines of complaints about lucene:

 Problem 1: package lucene-facet-7.7.0-2.fc31.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f31+6793+1c93c38e.noarch and lucene-7.7.0-2.fc31.noarch
  - cannot install the best update candidate for package lucene-facet-7.7.0-2.fc31.noarch
  - cannot install the best update candidate for package lucene-7.7.0-2.fc31.noarch
  - package lucene-7.7.0-2.fc31.noarch is excluded
 Problem 2: package lucene-sandbox-8.1.1-2.module_f31+6793+1c93c38e.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f31+6519+12cd0b27.noarch and lucene-7.7.0-2.fc31.noarch
  - cannot install both lucene-8.1.1-2.module_f31+6793+1c93c38e.noarch and lucene-7.7.0-2.fc31.noarch
  - package lucene-spatial-7.7.0-2.fc31.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - cannot install the best update candidate for package lucene-spatial-7.7.0-2.fc31.noarch
  - cannot install the best update candidate for package lucene-sandbox-7.7.0-2.fc31.noarch
  - package lucene-8.1.1-2.module_f31+6165+9b01e00c.noarch is excluded
  - package lucene-7.7.0-2.fc31.noarch is excluded
 Problem 3: package lucene-queryparser-8.1.1-2.module_f31+6793+1c93c38e.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f31+6519+12cd0b27.noarch and lucene-7.7.0-2.fc31.noarch
  - cannot install both lucene-8.1.1-2.module_f31+6793+1c93c38e.noarch and lucene-7.7.0-2.fc31.noarch
  - package lucene-spatial3d-7.7.0-2.fc31.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - cannot install the best update candidate for package lucene-spatial3d-7.7.0-2.fc31.noarch
  - cannot install the best update candidate for package lucene-queryparser-7.7.0-2.fc31.noarch
  - package lucene-8.1.1-2.module_f31+6165+9b01e00c.noarch is excluded
  - package lucene-7.7.0-2.fc31.noarch is excluded
 Problem 4: package lucene-queries-8.1.1-2.module_f31+6793+1c93c38e.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f31+6519+12cd0b27.noarch and lucene-7.7.0-2.fc31.noarch
  - cannot install both lucene-8.1.1-2.module_f31+6793+1c93c38e.noarch and lucene-7.7.0-2.fc31.noarch
  - problem with installed package lucene-spatial3d-7.7.0-2.fc31.noarch
  - package lucene-spatial3d-7.7.0-2.fc31.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - package lucene-7.7.0-2.fc31.noarch is excluded
  - cannot install the best update candidate for package lucene-queries-7.7.0-2.fc31.noarch
  - package lucene-8.1.1-2.module_f31+6165+9b01e00c.noarch is excluded
 Problem 5: package lucene-misc-8.1.1-2.module_f31+6793+1c93c38e.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - package lucene-misc-8.1.1-2.module_f31+6793+1c93c38e.noarch requires osgi(org.apache.lucene.core) = 8.1.1, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f31+6519+12cd0b27.noarch and lucene-7.7.0-2.fc31.noarch
  - cannot install both lucene-8.1.1-2.module_f31+6793+1c93c38e.noarch and lucene-7.7.0-2.fc31.noarch
  - problem with installed package lucene-spatial-7.7.0-2.fc31.noarch
  - package lucene-spatial-7.7.0-2.fc31.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - package lucene-7.7.0-2.fc31.noarch is excluded
  - cannot install the best update candidate for package lucene-misc-7.7.0-2.fc31.noarch
  - package lucene-8.1.1-2.module_f31+6165+9b01e00c.noarch is excluded
 Problem 6: package lucene-backward-codecs-8.1.1-2.module_f31+6793+1c93c38e.noarch requires mvn(org.apache.lucene:lucene-core) = 8.1.1, but none of the providers can be installed
  - cannot install both lucene-8.1.1-2.module_f31+6519+12cd0b27.noarch and lucene-7.7.0-2.fc31.noarch
  - cannot install both lucene-8.1.1-2.module_f31+6793+1c93c38e.noarch and lucene-7.7.0-2.fc31.noarch
  - problem with installed package lucene-facet-7.7.0-2.fc31.noarch
  - package lucene-facet-7.7.0-2.fc31.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
  - package lucene-7.7.0-2.fc31.noarch is excluded
  - cannot install the best update candidate for package lucene-backward-codecs-7.7.0-2.fc31.noarch
  - package lucene-8.1.1-2.module_f31+6165+9b01e00c.noarch is excluded
================================================================================
 Package          Arch   Version                          Repository       Size
================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 lucene           noarch 8.1.1-2.module_f31+6519+12cd0b27 fedora-modular  2.8 M
 lucene           noarch 8.1.1-2.module_f31+6793+1c93c38e updates-modular 2.8 M
Skipping packages with broken dependencies:
 lucene-backward-codecs
                  noarch 8.1.1-2.module_f31+6793+1c93c38e updates-modular  93 k
 lucene-misc      noarch 8.1.1-2.module_f31+6793+1c93c38e updates-modular  88 k
 lucene-queries   noarch 8.1.1-2.module_f31+6793+1c93c38e updates-modular 214 k
 lucene-queryparser
                  noarch 8.1.1-2.module_f31+6793+1c93c38e updates-modular 324 k
 lucene-sandbox   noarch 8.1.1-2.module_f31+6793+1c93c38e updates-modular 303 k

Transaction Summary
================================================================================
Skip  7 Packages

Just in case no one noticed yet :-). Presumably this gets
fixed in the repos someday soon.
_______________________________________________
users mailing list -- [hidden email]
To unsubscribe send an email to [hidden email]
Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: https://lists.fedoraproject.org/archives/list/users@...
Reply | Threaded
Open this post in threaded view
|

Re: lucene update issues

Ed Greshko
On 2019-12-05 20:53, Tom Horsley wrote:
> Doing a dnf update this morning and got a bazillion
> lines of complaints about lucene:
>
>  Problem 1: package lucene-facet-7.7.0-2.fc31.noarch requires mvn(org.apache.lucene:lucene-core) = 7.7.0, but none of the providers can be installed
>   - cannot install both lucene-8.1.1-2.module_f31+6793+1c93c38e.noarch and lucene-7.7.0-2.fc31.noarch
>   - cannot install the best update candidate for package lucene-facet-7.7.0-2.fc31.noarch
>   - cannot install the best update candidate for package lucene-7.7.0-2.fc31.noarch
>   - package lucene-7.7.0-2.fc31.noarch is excluded

It sounds as if you have the eclipse:latest module enabled and that packages conflict with those of non-module
packages.

FWIW,

[root@f31k ~]# dnf module info eclipse:latest | grep lucene-fac
[root@f31k ~]#

indicates that package doesn't exist in the module.

--
The key to getting good answers is to ask good questions.
_______________________________________________
users mailing list -- [hidden email]
To unsubscribe send an email to [hidden email]
Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: https://lists.fedoraproject.org/archives/list/users@...
Reply | Threaded
Open this post in threaded view
|

Re: lucene update issues

Tom Horsley-5
On Fri, 6 Dec 2019 06:58:30 +0800
Ed Greshko wrote:

> It sounds as if you have the eclipse:latest module enabled and that packages conflict with those of non-module
> packages.

If anything remotely related to eclipse is on this machine,
then they have come up with some way to hide it because I
hate eclipse with a passion and always remove every rpm
with eclipse in the name:

[root@zooty ~]# rpm -q -a | fgrep -i eclipse

reports nothing.

Is there some totally new nonsense I have to search
rather than just rpms?

I've consulted https://docs.fedoraproject.org/en-US/modularity/
and everything I've tried to remove any and all traces of eclipse
of any version tells me it isn't installed (even though the info
command prints thousands of lines of gibberish :-).
_______________________________________________
users mailing list -- [hidden email]
To unsubscribe send an email to [hidden email]
Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: https://lists.fedoraproject.org/archives/list/users@...
Reply | Threaded
Open this post in threaded view
|

Re: lucene update issues

Ed Greshko
On 2019-12-06 07:40, Tom Horsley wrote:

> On Fri, 6 Dec 2019 06:58:30 +0800
> Ed Greshko wrote:
>
>> It sounds as if you have the eclipse:latest module enabled and that packages conflict with those of non-module
>> packages.
> If anything remotely related to eclipse is on this machine,
> then they have come up with some way to hide it because I
> hate eclipse with a passion and always remove every rpm
> with eclipse in the name:
>
> [root@zooty ~]# rpm -q -a | fgrep -i eclipse
>
> reports nothing.
>
> Is there some totally new nonsense I have to search
> rather than just rpms?
>
> I've consulted https://docs.fedoraproject.org/en-US/modularity/
> and everything I've tried to remove any and all traces of eclipse
> of any version tells me it isn't installed (even though the info
> command prints thousands of lines of gibberish :-).

What does

dnf module list --enabled

show?

--
The key to getting good answers is to ask good questions.
_______________________________________________
users mailing list -- [hidden email]
To unsubscribe send an email to [hidden email]
Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: https://lists.fedoraproject.org/archives/list/users@...
Reply | Threaded
Open this post in threaded view
|

Re: lucene update issues

Tom Horsley-5
On Fri, 6 Dec 2019 07:57:21 +0800
Ed Greshko wrote:

> What does
>
> dnf module list --enabled
>
> show?

Not a lot, certainly not eclipse:

[root@zooty ~]# dnf module list --enabled
Last metadata expiration check: 0:49:33 ago on Thu 05 Dec 2019 06:28:12 PM EST.
Fedora Modular 31 - x86_64
Name  Stream        Profiles    Summary                                        
ant   1.10 [d][e]   default [d] Java build tool                                
gimp  2.10 [d][e]   devel, defa GIMP                                            
                    ult [d]    
maven 3.5 [d][e]    default [d] Java project management and project comprehensio
                                n tool
meson latest [d][e] default [d] The Meson Build system                          
ninja latest [d][e] default [d] Small build system with a focus on speed        

Fedora Modular 31 - x86_64 - Updates
Name  Stream        Profiles    Summary                                        
ant   1.10 [d][e]   default [d] Java build tool                                
gimp  2.10 [d][e]   devel, defa GIMP                                            
                    ult [d]    
maven 3.5 [d][e]    default [d] Java project management and project comprehensio
                                n tool
meson latest [d][e] default [d] The Meson Build system                          
ninja latest [d][e] default [d] Small build system with a focus on speed        

Hint: [d]efault, [e]nabled, [x]disabled, [i]nstalled
_______________________________________________
users mailing list -- [hidden email]
To unsubscribe send an email to [hidden email]
Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: https://lists.fedoraproject.org/archives/list/users@...
Reply | Threaded
Open this post in threaded view
|

Re: lucene update issues

Ed Greshko
On 2019-12-06 08:19, Tom Horsley wrote:

> On Fri, 6 Dec 2019 07:57:21 +0800
> Ed Greshko wrote:
>
>> What does
>>
>> dnf module list --enabled
>>
>> show?
> Not a lot, certainly not eclipse:
>
> [root@zooty ~]# dnf module list --enabled
> Last metadata expiration check: 0:49:33 ago on Thu 05 Dec 2019 06:28:12 PM EST.
> Fedora Modular 31 - x86_64
> Name  Stream        Profiles    Summary                                        
> ant   1.10 [d][e]   default [d] Java build tool                                
> gimp  2.10 [d][e]   devel, defa GIMP                                            
>                     ult [d]    
> maven 3.5 [d][e]    default [d] Java project management and project comprehensio
>                                 n tool
> meson latest [d][e] default [d] The Meson Build system                          
> ninja latest [d][e] default [d] Small build system with a focus on speed        
>
> Fedora Modular 31 - x86_64 - Updates
> Name  Stream        Profiles    Summary                                        
> ant   1.10 [d][e]   default [d] Java build tool                                
> gimp  2.10 [d][e]   devel, defa GIMP                                            
>                     ult [d]    
> maven 3.5 [d][e]    default [d] Java project management and project comprehensio
>                                 n tool
> meson latest [d][e] default [d] The Meson Build system                          
> ninja latest [d][e] default [d] Small build system with a focus on speed        
>
> Hint: [d]efault, [e]nabled, [x]disabled, [i]nstalled
> _______________________________________________


OK, odd.

I don't know when packages from modules are referenced when the module isn't enabled.

dnf module provides lucene

shows

eclipse:latest or eclipse:2019-06

and

dnf info lucene

only returns

Name         : lucene
Version      : 7.7.0
Release      : 2.fc31
Architecture : noarch
Size         : 2.8 M
Source       : lucene-7.7.0-2.fc31.src.rpm
Repository   : fedora

for me with the those modules disabled.

--
The key to getting good answers is to ask good questions.
_______________________________________________
users mailing list -- [hidden email]
To unsubscribe send an email to [hidden email]
Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: https://lists.fedoraproject.org/archives/list/users@...